#    2



m=function(p,q) (q*((gamma(2/p)*gamma(q))/gamma((2/p)+q))/(2+p*q))^(2)
t=function(p,q) -8*m(p,q)*min(1,(1/p^(2*q))*((1+p*q)/(q-1))^(2*q-2))
t=Vectorize(t)
t1=function(p) t(p,1)
t1=Vectorize(t1)
t2=function(p) t(p,2)
t2=Vectorize(t2)
par(mfrow=c(1,2))
curve(t1,1,5,xname="p",ylab=expression(tau),ylim=c(-0.6,0.6))
abline(h=2/9)
abline(h=-2/9)
abline(h=0)
curve(t2,type="p",add=TRUE)


m=function(p,q) (q*((gamma(2/p)*gamma(q))/gamma((2/p)+q))/(2+p*q))^(2)
tt=function(p,q) 8*m(p,q)*(1/p^(q))*((1+p*q)/(q-1))^(q-1)
tt=Vectorize(tt)
tt3=function(p) tt(p,1)
tt3=Vectorize(tt3)
tt4=function(p) tt(p,2)
tt4=Vectorize(tt4)
curve(tt3,add=TRUE)
curve(tt4,typ="p",add=TRUE)
legend(4,-0.5,c('  -   q=1','oo  q=2 '))
text(3,0.595,expression(tau))
text(2.75,0.6,'Kendalls')









#  Ӂ  2

m=function(p,q) (q*((gamma(2/p)*gamma(q))/gamma((2/p)+q))/(2+p*q))^(2)
r=function(p,q) -12*m(p,q)*min(1,(1/p^(2*q))*((1+p*q)/(q-1))^(2*q-2))
r=Vectorize(r)
r1=function(p) r(p,1)
r1=Vectorize(r1)
r2=function(p) r(p,2)
r2=Vectorize(r2)
curve(r1,1,5,xname="p",ylab=expression(rho),ylim=c(-0.6,0.6))
abline(h=1/3)
abline(h=-1/3)
abline(h=0)
curve(r2,type="p",add=TRUE)


m=function(p,q) (q*((gamma(2/p)*gamma(q))/gamma((2/p)+q))/(2+p*q))^(2)
rr=function(p,q) 12*m(p,q)*(1/p^(q))*((1+p*q)/(q-1))^(q-1)
rr=Vectorize(rr)
rr3=function(p) rr(p,1)
rr3=Vectorize(rr3)
rr4=function(p) rr(p,2)
rr4=Vectorize(rr4)
curve(rr3,add=TRUE)
curve(rr4,typ="p",add=TRUE)
legend(4,-0.5,c('  -   q=1','oo  q=2 '))
text(3,0.595,expression(rho))
text(2.7,0.6,'Spearmans')









#  Ӂ       q=1



par(mfrow=c(1,2))
m=function(p,q) (q*((gamma(2/p)*gamma(q))/gamma((2/p)+q))/(2+p*q))^(2)
v=function(p,q) -12*m(p,q)*min(1,(1/p^(2*q))*((1+p*q)/(q-1))^(2*q-2))*((2*(p+5))/(3*(p+3)))
v=Vectorize(v)
v1=function(p) v(p,1)
v1=Vectorize(v1)
r=function(p,q) -12*m(p,q)*min(1,(1/p^(2*q))*((1+p*q)/(q-1))^(2*q-2))
r=Vectorize(r)
r1=function(p) r(p,1)
r1=Vectorize(r1)
rr=function(p,q) 12*m(p,q)*(1/p^(q))*((1+p*q)/(q-1))^(q-1)
rr=Vectorize(rr)
rr1=function(p) rr(p,1)
rr1=Vectorize(rr1)
vv=function(p,q) 12*m(p,q)*(1/p^(q))*((1+p*q)/(q-1))^(q-1)*((2*(p+5))/(3*(p+3)))
vv=Vectorize(vv)
vv1=function(p) vv(p,1)
vv1=Vectorize(vv1)
curve(v1,1,5,xname="p",ylab=expression(nu(rho)),ylim=c(-0.6,0.6))
abline(h=1/3)
abline(h=-1/3)
abline(h=0)
curve(r1,type="p",add=TRUE)
curve(vv1,add=TRUE)
curve(rr1,type="p",add=TRUE)
text(4.5,-0.5,' - ')
text(4.7,-0.5,expression(nu))
text(4.5,-0.55,' oo ')
text(4.7,-0.55,expression(rho))
text(3,0.6,'q=1')








#  Ӂ       q=2


V=function(p,q) -12*m(p,q)*min(1,(1/p^(2*q))*((1+p*q)/(q-1))^(2*q-2))*((2*(2*p^(2)+15*p+19))/(3*(p+3)*(2*p+3)))
V=Vectorize(V)
V2=function(p) V(p,2)
V2=Vectorize(V2)
r=function(p,q) -12*m(p,q)*min(1,(1/p^(2*q))*((1+p*q)/(q-1))^(2*q-2))
r=Vectorize(r)
r2=function(p) r(p,2)
r2=Vectorize(r2)
rr=function(p,q) 12*m(p,q)*(1/p^(q))*((1+p*q)/(q-1))^(q-1)
rr=Vectorize(rr)
rr2=function(p) rr(p,2)
rr2=Vectorize(rr2)
VV=function(p,q) 12*m(p,q)*(1/p^(q))*((1+p*q)/(q-1))^(q-1)*((2*(2*p^(2)+15*p+19))/(3*(p+3)*(2*p+3)))
VV=Vectorize(VV)
VV2=function(p) VV(p,2)
VV2=Vectorize(VV2)
curve(V2,1,5,xname="p",ylab=expression(nu(rho)),ylim=c(-0.6,0.6))
abline(h=1/3)
abline(h=-1/3)
abline(h=0)
curve(r2,type="p",add=TRUE)
curve(VV2,add=TRUE)
curve(rr2,type="p",add=TRUE)
text(4.5,-0.5,' - ')
text(4.7,-0.5,expression(nu))
text(4.5,-0.55,' oo ')
text(4.7,-0.55,expression(rho))
text(3,0.6,'q=2')



































































